summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-01-30 21:55:04 +0000
committer Eric Hameleers <alien@slackware.com>2021-01-31 08:59:50 +0100
commit2c78f43e266f5e7d7b0903f1199441ed19451a08 (patch)
tree66eaacffb3ce96e6ec8700bafb37744e1499bfe7 /source/x
parent8040f7f06757d6830029f75eab44474464883f59 (diff)
downloadcurrent-2c78f43e266f5e7d7b0903f1199441ed19451a08.tar.gz
current-2c78f43e266f5e7d7b0903f1199441ed19451a08.tar.xz
Sat Jan 30 21:55:04 UTC 202120210130215504
a/e2fsprogs-1.46.0-x86_64-1.txz: Upgraded. a/kernel-generic-5.10.12-x86_64-1.txz: Upgraded. a/kernel-huge-5.10.12-x86_64-1.txz: Upgraded. a/kernel-modules-5.10.12-x86_64-1.txz: Upgraded. a/sysklogd-2.2.1-x86_64-1.txz: Upgraded. d/binutils-2.35.2-x86_64-1.txz: Upgraded. We're probably better off with this branch for now. d/kernel-headers-5.10.12-x86-1.txz: Upgraded. d/oprofile-1.4.0-x86_64-5.txz: Rebuilt. Recompiled against binutils-2.35.2. k/kernel-source-5.10.12-noarch-1.txz: Upgraded. l/gd-2.3.1-x86_64-1.txz: Upgraded. l/libwebp-1.2.0-x86_64-1.txz: Upgraded. l/python-packaging-20.9-x86_64-1.txz: Upgraded. x/fcitx-libpinyin-0.5.4-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/x')
-rw-r--r--source/x/FTBFSlog5
-rwxr-xr-xsource/x/fcitx-libpinyin/fcitx-libpinyin.SlackBuild15
2 files changed, 14 insertions, 6 deletions
diff --git a/source/x/FTBFSlog b/source/x/FTBFSlog
index 2b8c29ba0..e7c6293ba 100644
--- a/source/x/FTBFSlog
+++ b/source/x/FTBFSlog
@@ -1,3 +1,8 @@
+Sat Jan 30 02:44:45 UTC 2021
+ fcitx-libpinyin: fix building against libpinyin-2.6.0 with upstream patch.
+ Thanks to nobodino for the report.
+ Copy data/table.conf into the ../data directory to fix make install.
++--------------------------+
Sat Jan 16 18:43:10 UTC 2021
freeglut: add -fcommon to CFLAGS. Thanks to nobodino.
x11: add -fcommon to CFLAGS. Thanks to nobodino.
diff --git a/source/x/fcitx-libpinyin/fcitx-libpinyin.SlackBuild b/source/x/fcitx-libpinyin/fcitx-libpinyin.SlackBuild
index 467794f32..f8d2c5d12 100755
--- a/source/x/fcitx-libpinyin/fcitx-libpinyin.SlackBuild
+++ b/source/x/fcitx-libpinyin/fcitx-libpinyin.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for fcitx-libpinyin
# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,8 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fcitx-libpinyin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-MODEL_VERSION=${MODEL_VERSION:-20161206}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -94,20 +93,24 @@ find . \
tar xf $CWD/dict/*.tar.* $(tar tf $CWD/dict/*.tar.* | grep model.text)
)
-mkdir build
-cd build
+mkdir cmake-build
+cd cmake-build
cmake \
-DCMAKE_CXX_FLAGS="${SLKCFLAGS}" \
-DCMAKE_C_FLAGS="${SLKCFLAGS}" \
-DCMAKE_INSTALL_PREFIX="/usr" \
+ -DLIBPINYIN_PKGDATADIR=/usr/share/fcitx/libpinyin/zhuyin_data \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
-DENABLE_QT=OFF \
..
make $NUMJOBS || make || exit 1
- make install/strip DESTDIR=$PKG || exit 1
+ make install DESTDIR=$PKG || exit 1
cd ..
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a COPYING $PKG/usr/doc/$PKGNAM-$VERSION